.\" +----------
.\" |
.\" |			       GITREDIR man page
.\" | 			  Release 4.3.5, January 1995
.\" |
.\" |	    Copyright 1993, 1994, 1995 Free Software Foundation, Inc.
.\" |
.\" |	This file is part of GIT (GNU Interactive Tools)
.\" |
.\" |	GIT is free software; you can redistribute it and/or modify it under
.\" | the terms of the GNU General Public License as published by the Free
.\" | Software Foundation; either version 2, or (at your option) any later
.\" | version.
.\" |
.\" | GIT is distributed in the hope that it will be useful, but WITHOUT ANY
.\" | WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
.\" | FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
.\" | details.
.\" |
.\" | You should have received a copy of the GNU General Public License along
.\" | with GIT; see the file COPYING. If not, write to the Free Software
.\" | Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
.\" |
.\" |
.TH gitredir 1 "January 1995" "Release 4.3.5"
.SH NAME
gitredir \- GNU Interactive Tools version 4.3.5 - redirection script
.SH SYNTAX
.I gitredir program arguments ...

.SH DESCRIPTION
.I gitredir
is a very small script that fools the
.I git
program, makeing it believe that the command started wrote something to
standard error. It was not designed to be used as a stand alone program.

.I gitredir
is useful for programs like
.BR du .
We are interested in du's output and we would like to write to the status
line its output (especially the output of the 'du -s' command). Normally,
this is not possible because 'du -s' will display the information on the
standard output (
.B git
catches only standard error) and will exit with the exit code 0.
.B git
will display the standard error contents on the status bar only if the
program exit status is not 0.

So,
.I gitredir
starts a program, sends its standard output through a pipe
to a subshell which read from the pipe and write to standard error.
After that,
.I gitredir
exits with the exit code 1. This way,
.I git
thinks that an error occured and display the standard error redirection
file to the status bar. Stupid, but useful.


.SH BUGS
None so far. :-)

Please send bug reports to
.IR tudor@cs.pub.ro

.SH SEE ALSO
git(1) gitps(1) gitview(1) gitmatch(1) gitcmp(1) gitkeys(1) gitaction(1)
gitmount(1) gitrgrep(1)

.SH FILES
/usr/local/bin/gitredir
.br
/usr/local/man/man1/gitredir.1

.SH AUTHORS
.I Tudor Hulubei
.br
- tudor@cs.pub.ro
.br
.I Andrei Pitis
.br
- pink@cs.pub.ro
.br
.B "Politehnica" University of Bucharest
.br
.B Romania
