/* misc.h -- prototypes for the functions in misc.c. */

/* Copyright (C) 1993, 1994, 1995 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* Written by Tudor Hulubei and Andrei Pitis.  */


#ifndef _GIT_MISC_H
#define _GIT_MISC_H


#include "stdc.h"


extern char *home;
extern char *program;
extern char *tty_type;

extern char *tty_name;
extern int  tty_name_len;
extern char *login_name;
extern int  login_name_len;

extern int SCREEN_X;
extern int SCREEN_Y;

extern char cSection[];
extern char bwSection[];


#define max(a, b) (((a) >= (b)) ? (a) : (b))
#define min(a, b) (((a) <= (b)) ? (a) : (b))


extern void configuration_help __P((char *));
extern void configuration_check __P(());
extern void use_section __P((char *));
extern int get_int_var __P((char *, char *[], int, int));
extern int get_flag_var __P((char *, int));
extern char *get_string_var __P((char *, char *));
extern void get_colorset_var __P((int *, char *[], int));
extern char *clear_path __P((char *));
extern int my_readlink __P((char *));
extern void get_tty_name __P(());
extern void get_login_name __P(());
extern void truncate_long_name __P((char *, char *, int));
extern int get_file_length __P((int));


#endif	/* _GIT_MISC_H */
